iCalendlyDeveloper Docs
Bookings

GETGet booking references

Retrieves external references (such as Google Calendar event IDs or Zoom meeting IDs) associated with a specific booking.

GET/v2/bookings/{bookingUid}/references

Path Parameters

bookingUidRequiredstring

Query Parameters

typestring

Filter booking references by type

Value in: "google_calendar" | "office365_calendar" | "daily_video" | "google_video" | "office365_video" | "zoom_video"

Header Parameters

ical-api-versionRequiredstring

Must be set to 2024-08-13. If not set to this value, the endpoint will default to an older version.

Default: "2024-08-13"
AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X GET "https://example.com/v2/bookings/<string>/references?type=google_calendar" \
  -H "ical-api-version: 2024-08-13" \
  -H "Authorization: <string>"

{
  "status": "success",
  "data": [
    {
      "type": "string",
      "eventUid": "string",
      "destinationCalendarId": "string",
      "id": 0
    }
  ]
}